package cz.moneta.test.dsl.hypos.enums;

public enum DocumentTemplate {
    PLEDGE_AGREEMENT("2", "Zástavní smlouva"),
    DEPOSIT_PROPOSAL("335", "Návrh na vklad"),
    SHORT_APPLICATION("391", "Zkrácená žádost o poskytnutí úvěru"),
    FULL_APPLICATION("333", "Žádost o poskytnutí HÚ");

    private final String documentTemplateId;
    private final String documentTemplateName;

    DocumentTemplate(String documentTemplateId, String documentTemplateName) {
        this.documentTemplateId = documentTemplateId;
        this.documentTemplateName = documentTemplateName;
    }

    public String getValue() {
        return documentTemplateId;
    }

    public String getName() {
        return documentTemplateName;
    }
}